<?php 
class Menu
{

 private $_db; 
 
   public function __construct () {
    $this->_db = new Database ();
	
	}
	
    public function getMenu() 
    {
	 
	   $menu = $this->_db->query("SELECT * FROM menu WHERE positionmenu "); 
	   return $menu->fetchAll();

	}

	   public function titre($id) 
    {
	 
	   $menu = $this->_db->query("SELECT * FROM menu WHERE  positionmenu= $id "); 
	   return $menu->fetchAll();

	}

	
	
	   public function soustitregauche($id) 
    {
	 
	   $menu = $this->_db->query("SELECT * FROM soustitregauche WHERE position_menu_generale= $id"); 
	   return $menu->fetchAll();

	}
	
	
	    public function getsubMenu ($id) 
    {
	 
	   $menu = $this->_db->query("SELECT * FROM produits limit100 WHERE categorie_id= $id"); 
	   return $menu->fetchAll();

	}

 // PARTIE MENU DROITE
	    public function getsubMenuDroite ($id) 
    {
	 
	   $menu = $this->_db->query("SELECT * FROM produitsd WHERE categorie_id= $id"); 
	   return $menu->fetchAll();

	}
	
	   public function soustitredroite($id) 
    {
	 
	   $menu = $this->_db->query("SELECT * FROM soustitredroite WHERE position_menu_generale= $id"); 
	   return $menu->fetchAll();

	}
	 
}
?>